# Asterisk Project : Asterisk 13 Function_TESTTIME

Created by wikibot on Aug 08, 2014

# TESTTIME()

### Synopsis

Sets a time to be used with the channel to test logical conditions.

### Description

To test dialplan timing conditions at times other than the current time, use this function to set an alternate date and time. For example, you may wish to evaluate whether a location will correctly identify to callers that the area is closed on Christmas Day, when Christmas would otherwise fall on a day when the office is normally open.

### Syntax

    TESTTIME(date,time[,zone])

##### Arguments

- `date` - Date in ISO 8601 format
- `time` - Time in HH:MM:SS format (24-hour time)
- `zone` - Timezone name

### See Also

- Asterisk 13 Application_GotoIfTime

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538